#include<pthread.h>
#include<stdio.h>
#include<stdlib.h>

#define NO_OF_TH 10

void *print_hello_world(void *tid)
{
 /* This function prints thread identifier and then exits. */
 printf("Hello World. Greetings from thread %d\n", tid);
 pthread_exit(NULL);
}

int
main(int argc, char *argv[])
{

 /* The main program creates 10 threads and then exits. */
 pthread_t threads[NO_OF_TH];
 
 int status, i;

 for (i = 0; i < NO_OF_TH; i++) {
  printf("Main here. Creating thread %d\n", i);
  status = pthread_create(&threads[i], NULL, print_hello_world, (void *)i);
  
  if (status != 0) {
   printf("Oops. pthread_creat failed, and return error code %d\n", status);
   exit(-1); 
  }
 } 

 exit(0);
}
