#include<pthread.h>
#include<stdio.h>
#include<stdlib.h>

int counter = 0;

static pthread_mutex_t lock = PTHREAD_MUTEX_INITIALIZER;

void *increment_counter()
{ 
 pthread_mutex_lock( &lock );
 counter++;
 printf("Thread %d Counter value: %d\n",pthread_self(), counter);
 pthread_mutex_unlock( &lock );
}

int
main(int argc, char *argv[])
{

 /* The main program creates 10 threads and then exits. */
 pthread_t thread1, thread2;
 
 int s1,s2;
 
  s1 = pthread_create(&thread1, NULL, increment_counter, NULL);
  s2 = pthread_create(&thread2, NULL, increment_counter, NULL);
  
  if (s1!= 0 || s2 != 0) {
    printf("Oops. pthread_creat failed, and return error code %d  %d\n", s1, s2);
    exit(-1); 
   }
  pthread_join(thread1, NULL);
  pthread_join(thread2, NULL); 
 
 exit(0);
}
